<!-- BEGIN COPYRIGHT BLOCK
 This Program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; version 2 of the License.

 This Program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with
 this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA 02111-1307 USA.

 
 Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
 Copyright (C) 2005 Red Hat, Inc.
 All rights reserved.
  END COPYRIGHT BLOCK -->
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Searching the Directory Tree</title>
</head>

<body>

<h1><a name="search"></a>Searching the Directory Tree</h1>

<p>The Directory Server
contains information about the people and resources in
your organization. Using the Directory Server interface, you can
easily find the information you need. To simplify the search
process, the Directory Server interface provides two types of
searches:</p>

<ul>
    <li><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#standard">Standard Search</a> -- Selects an
        appropriate method of searching based on the value you
        specify. For example, if you search for moz@example.com,
        Standard Search searches for matching email
        addresses. </li>
<P>
    <li><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#advanced">Advanced Search</a> -- Provides a
        simple method for searching against specific entry
        attributes. For example, you can specify that you want to
        search for users whose last names start with <b>k</b> and
        whose phone numbers end with <b>2110</b>. </li>
</ul>

<p>Both types of searches allow you select the type of entry to
search for. You can search for any of the following types of
entries:</p>

<table border="2">
    <tr>
        <th><a name="type"></a><b>Type of Entry</b></th>
        <th>Description</th>
    </tr>
    <tr>
        <td valign="top">People</td>
        <td valign="top">Entries that describe a person. </td>
    </tr>
    <tr>
        <td valign="top">NT people</td>
        <td valign="top">Entries that describe an NT user.</td>
    </tr>
    <tr>
        <td valign="top">Groups<b> </b></td>
        <td valign="top">Entries that describe a group. Groups
        are collections of one or more directory
        entries. For example, groups may be defined at your site
        that include the System Administrators, the Technical
        Writers, or all the people interested in fishing. Note
        that a group does not always have to identify a
        collection of people. For example, a group could be
        defined that identifies all the color printers or fax machines
	  at your site. Groups can also contain other groups. </td>
    </tr>
    <tr>
        <td>NT Groups</td>
        <td>Entries that describe a group of NT users.</td>
    </tr>
    <tr>
        <td valign="top">Organizations</td>
        <td valign="top">Entries that describe an organization.
        An organization is usually a single, very
        large organization such as a corporation or a university.
        An organization differs from a group in that a
        group is typically an arbitrary collection of people or
        devices that is subject to change as entities are added
        to or removed from the directory. Organizations, however,
        represent a major, relatively static, subdivision or
        branching of the directory. Additions and
        subtractions of entities within the directory do not usually
	  affect organization entries.</td>
    </tr>
    <tr>
        <td valign="top">Domain Components</td>
        <td valign="top">Entries that describe your domain. 
        The Domain Component represents your directory suffix by 
        breaking your domain name into its component parts. In a 
        single enterprise environment, a directory suffix typically 
        aligns with a DNS name or Internet domain name of your 
        enterprise. For example, if your enterprise owns the domain 
        name of example.com, then your directory suffix would be of 
        the form dc=example,dc=com.
    </tr>
    <tr>
        <td valign="top">Org-Units</td>
        <td valign="top">Entries that describe an organizational
        unit. Organizational units usually identify major
        subdivisions within a larger organization. In contrast to
        entries from a single, very large organization such as a
        corporation or university, organizational units describe
        smaller organizations such as accounting, marketing, the
        humanities, or Biology. </td>
    </tr>
    <tr>
        <td valign="top">Anything </td>
        <td valign="top">Any type of entry within the directory
        that matches the search criteria. Use Anything
        if you are unsure of how the directory manager
        represented an entry within the directory. Anything is
        also useful if the type of entry for which you are
        searching is not a person, group, or organization.</td>
    </tr>
</table>

<p>After the Directory Server completes the search, the Directory
Server interface displays the <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#results">search results</a>,
which provide links to all matching entries. When you click an
entry displayed on the search results list, the Directory Server
displays detailed information about the entry. If the entry is a
person, you can also choose to <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#vCard">view the person's
digital business card</a>, or vCard. Using the vCard, you can
add the person to your Communicator address book with a
click of a button.</p>

<h2><a name="standard"></a>Standard Search</h2>

<p>Standard search performs different types of searches according to the
nature of the data that you specify. Depending on what
you type in the search field, Standard Search attempts to find
matching <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#Name">names</a>, <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#phone">telephone
numbers</a>, or <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#email">email addresses</a>. </p>

<p>Depending on what you enter, Standard Search
determines whether to find entries that exactly match your
criteria, entries that contain your criteria, or entries that
contain words or syllables that sound like your criteria. You can also use
an LDAP (Lightweight Directory Access Protocol) <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#filter">search filter</a> 
in the Standard Search field.</p>

<h3><a name="Performing a Standard Search"></a>Performing a
Standard Search</h3>

<ol>
    <li>Click the Standard Search tab.</li>
    <li>Select the <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#type">type of entry</a> you want to
        search for from the Find drop-down list.</li>
    <li>Enter the value you want to find in the "Search
        for" field. The "Search for" field
        is not case sensitive. You can enter any of the following:
	  <ul type="disc">
            <li>A <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#Name">name</a> or part of a name </li>
            <li>A person's <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#initials">initials</a> </li>
            <li>Some or all of a <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#phone">phone number</a>
            </li>
            <li>Some or all of an <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#email">email
                address</a> </li>
            <li>An LDAP <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#filter">search filter</a></li>
        </ul>
    </li>
    <li>Click Submit. <br>
        Once the form data has been submitted to the Directory
        Server, the server searches for any entries
        that exactly match, partially match, or sound like the
        value you supplied. The resulting matches are displayed
        as a <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#results">search results</a> table.</li>
</ol>

<h4><a name="Name"></a>Searching for Names</h4>

<p>If the string you specify:</p>

<ul>
    <li>contains characters other than numbers </li>
    <li>does not contain an at (@) symbol </li>
</ul>

<p>Standard Search attempts to find full names, first names, or
last names that exactly match, partially match, or sound like the
supplied value.</p>

<p>For example, specifying the string <font face="Courier">son</font>
could return results such as: </p>

<p>
<ul>
	<li>Gary Stevenson</li>
	<li>Mary Sun</li>
	<li>Allison Barker</li>
</ul>

<h4><a name="initials"></a>Searching for Names with Initials</h4>

<p>If you specify a value that includes the following items in
the following order:</p>

<ol>
    <li>a single letter </li>
    <li>a space ( ), period (.), or period and space in any order</li>
    <li>one or more characters </li>
</ol>

<p>then Standard Search executes the search as if you
requested a first initial followed by a last name. For example,
specifying the string &quot;S.Anderson&quot; could return results
such as:</p>

<ul>
    <li>Sally Anderson</li>
    <li>Steve Anderson</li>
    <li>Sue Anderson</li>
</ul>

<p>Similarly, if you specify a value that has the following items
in the following order:</p>

<ol>
    <li>more than one character</li>
    <li>a space ( ), period (.), or period and space in any order</li>
    <li>a single character </li>
</ol>

<p>then Standard Search executes the search as if you
requested a first name followed by a last initial. For example,
specifying the string <font face="Courier New">&quot;</font>Mark
.P&quot; could return search results such as:</p>

<ul>
    <li>Mark Payne</li>
    <li>Mark Peck</li>
    <li>Mark Polk</li>
</ul>

<blockquote>
    <p><b>Note: </b></p>
    <p>When you use initials Standard Search looks only for exact matches.
	 It returns entries with names that use the
    	 same initial and name as you specify on the search.
    	 Approximate (or &quot;sounds-like&quot;) and substring
    	 searches are not performed. </p>
</blockquote>

<h4><a name="phone"></a>Searching for Phone Numbers</h4>

<p>Standard Search automatically searches for a phone number if
the value you enter consists only of numerical digits. A single
hyphen (-) is also allowed if at least one digit precedes
it.</p>

<p>This type of search is an &quot;ends with&quot; search. That
is, the Directory Server searches for any phone numbers that end
with the specified value. For example, if you enter a value such
as <tt>123</tt>, the Directory Server searches for all phone numbers that
end with 123.</p>

<h4><a name="email"></a>Searching for Email Addresses</h4>

<p>Standard Search automatically searches for matching email
addresses if you provide a value that contains an at (@) symbol.
Standard Search first searches for any email addresses that
exactly match the value you entered. If Standard Search doesn't
find any matching entries, it then searches for any entries that
start with the value you entered. </p>

<p>For example, specifying the string <font face="Courier">son@</font>
could return:</p>

<ul>
    <li>son@</li>
</ul>
or, if no exact match exists in the directory:
<ul>
    <li>son@aardvark.org</li>
    <li>son@acme.com</li>
</ul>

<h4><a name="filter"></a>Using Search Filters</h4>

<p>Rather than allowing Standard Search to determine the correct
type of search, you can explicitly specify an LDAP search filter.
An LDAP search filter allows you to search for entries with a
specific <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm">attribute</a> value.
Standard Search assumes that any string containing an equal sign
(=) is an LDAP search filter. For example,</p>

<pre>cn=*eve*</pre>

<p>is an LDAP search filter that performs a substring search for
any common name (CN) containing the string <tt>eve</tt>.
When specifying attributes within an LDAP search filter, you
must use the attribute label used by the Directory Server
internally, the internal ID, rather than the attribute
field name as displayed in the Directory Server interface. 
For example, the internal ID for the Full Name attribute field
is <TT>cn</TT>. When you enter a search filter in Standard Search,
use the internal ID (commonName) rather than the attribute field name (Full Name)
as follows: 
</P>
<P><TT>commonName=Smith Fukuda</TT></P>

<P>Some attribute fields also have a second, abbreviated internal ID. For example, the Full Name field has two
internal IDs: commonName and cn. You can use either name in the search filter. 
</p>

<p>For more information on search filters, refer to 
the <em>Directory Server Administrator's Guide</em>.</p>

<h2><a name="advanced"></a>Advanced Search</h2>

<p>With Advanced Search, you can search for entries that have
specific values for certain attributes. For example, Advanced
Search allows you to look for a person whose email address is a
specified value. Advanced Search also allows you to look up
entries that do <i>not</i> include a specified attribute value. For
example, you can find all the people whose last name is not
&quot;Smith&quot; (such a search is likely to return a
large number of results, so you may want to avoid these kinds of
searches).</p>

<p>Advanced Search performs an exact search, returning entries
that exactly match the words you enter. There are four fields in
the Advanced Search form that you use to construct your search.
Together these four fields represent a sentence specifying the
search. In general, the sentence is constructed as follows: </p>

<p><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#type">Find:</a><i> [a type of entry] </i><a
href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#wherethe">where the:</a><i> [attribute] </i><a
href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#typeofsearch">[type of search]</a><i> [search
string]</i></p>

<p>The options
for the first three of these fields are provided in pull-down
menus. The last field contains the actual search string. For example, you can
construct a search to:</p>

<p><b>Find:</b><i> </i>[People]<i> </i><b>where the: </b>[Last
Name] [is] [Bowker]</p>

<p>Or you can construct a search to: </p>

<p><b>Find: </b>[People] <b>where the: </b>[Full Name] [sounds
like] [tree]</p>

<h3><a name="Performing an Advanced Search"></a>Performing an
Advanced Search</h3>

<ol>
    <li>Click the Advanced Search tab.</li>
    <li>Select the <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#type">type of entry</a> you want to
        search for from the Find drop-down list.</li>
    <li>Select the attribute you want to search for from the "where
        the" field drop-down list. The choices
        vary depending on the type of entry you selected in the Find
        field. The options are explained in the following table.<br>
<P>
        <table border="2">
            <tr>
                <th><a name="wherethe"></a><b>If the Find field
                is . . .</b></th>
                <th><b>You can choose . . .</b></th>
            </tr>
            <tr>
                <td>People</td>
                <td><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#cn">full name</a>,
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#sn">last name</a>, <a
                href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#telephoneNumber">phone number</a>,
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#mail">email address</a>, <a
                href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#uid">user ID</a>, or <a
                href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#title">title</a></td>
            </tr>
            <tr>
                <td>Groups</td>
                <td><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#cn">name</a>, 
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#description">description</a>, 
		<a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#owner">owner</a>, or 
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#member">member</a></td> 
            </tr>
            <tr>
                <td>Organizations</td>
                <td><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#cn">name</a>,
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#l">location</a>,
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#telephoneNumber">phone
                number</a>, or <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#description">description</a></td>
            </tr>
            <tr>
                <td>Domaincomponent</td>
                <td><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#cn">name</a>,
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#l">location</a>,
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#telephoneNumber">phone
                number</a>, or <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#description">description</a></td>
            </tr>
            <tr>
                <td>Org-Units</td>
                <td><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#cn">name</a>, 
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#l">location</a>,
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#telephoneNumber">phone
                number</a>, or <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#description">description</a></td>
            </tr>
            <tr>
                <td>Anything</td>
                <td><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#cn">name</a> or
                <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/attribut.htm#description">description</a></td>
            </tr>
        </table>
    </li>
<P>
    <li>Select the type of search you want to perform. <br>
        <br>
        In general, this field indicates if the search is to be
        an equality search, substring search, or approximate
        (&quot;sounds like&quot;) search. The following defines
        all of the available keywords and the type of search
        that each represents. Not all of these keywords
        are available for every search; the actual keywords you
        can use depends on the values you select for the 'Find'
        and "where the" fields. You can
        choose one of the following:
<p>
        <table border="2">
            <tr>
                <th><a name="typeofsearch"></a><b>Type of search</b></th>
                <th><b>Description</b></th>
            </tr>
            <tr>
                <td>is</td>
                <td>Finds an exact match. That is,
                this option specifies an equality search. Use
                this option when you know the exact value of an
                entry's attribute. For example, if you know the
                exact spelling of a person's last name, use this
                option. </td>
            </tr>
            <tr>
                <td>is not</td>
                <td>Returns all the entries having an attribute value
                that does not exactly match the search string. That
                is, if you want to find all the people in the
                directory whose last name is not
                &quot;Smith,&quot; use this option. Be aware,
                however, that use of this option can return an
                extremely large number of entries. </td>
            </tr>
            <tr>
                <td>sounds like</td>
                <td>Finds phonetic matches. Use this option if you know an
                attribute's value, but you are unsure of the
                spelling. For example, if you are not sure if a
                person's last name is spelled &quot;Sarret,&quot;
                &quot;Sarette,&quot; or &quot;Sarett,&quot; use
                this option. </td>
            </tr>
            <tr>
                <td>starts with</td>
                <td>Performs a substring search.
                Entries having attributes with values starting with the
                specified search string are returned. For
                example, if you know a person's first name is
                &quot;Steve,&quot; but you do not know the last
                name, use this option on a full name search. </td>
            </tr>
            <tr>
                <td>ends with</td>
                <td>Performs a substring search.
                Entries having attributes with values ending with the specified
                search string are returned. For example, if you
                know the last four digits of a person's telephone
                number are &quot;9876,&quot; use this option to
                locate the person's entry. </td>
            </tr>
            <tr>
                <td>contains</td>
                <td>Performs a substring search.
                Entries having attributes with values containing the specified
                search string are returned. For example, if you
                know an organization's description
                contains the word &quot;support,&quot; use this
                option with the search string &quot;support&quot;
                to find the organization's entry.</td>
            </tr>
        </table>
    </li>
<p>
    <li>Enter the string you want to search against in the text
        box and click Search.<br>
        Once the form data has been submitted to the directory
        server, the Directory Server searches for any entries
        that exactly match the value you supplied. The resulting
        matches are displayed as a search results list.</li>
</ol>

<h3><a name="Advanced Search Examples"></a>Advanced Search
Examples</h3>

<p>The following examples show a few possible uses of the
Advanced Search form. The vertical bars (|) delimit the various
fields in the form.</p>

<table border="2">
    <tr>
        <th><b>To find . . .</b></th>
        <th><b>Enter . . .</b></th>
    </tr>
    <tr>
        <td>All people named Darlene</td>
        <td><b>Find:</b> People | <b>where the:</b> full name |
        starts with | Darlene</td>
    </tr>
    <tr>
        <td>All people with the last name Sweeney</td>
        <td><b>Find:</b> People | <b>where the:</b> last name |
        is | Sweeny</td>
    </tr>
    <tr>
        <td>All the people who are vice presidents</td>
        <td><b>Find:</b> People | <b>where the:</b> title |
        contains | Vice President</td>
    </tr>
    <tr>
        <td>The organization named Accounting</td>
        <td><b>Find:</b> Organization | <b>where the:</b> name |
        is | Accounting</td>
    </tr>
    <tr>
        <td>Groups interested in scuba diving</td>
        <td><b>Find:</b> Groups | <b>where the:</b> description |
        contains | scuba</td>
    </tr>
    <tr>
        <td>Any entry with a name that contains the word
        &quot;printer&quot;</td>
        <td><b>Find:</b> Anything | <b>where the:</b> name |
        contains | printer</td>
    </tr>
</table>

<h2><a name="results"></a>Viewing Search Results</h2>

<p>When you perform a search using either a Standard Search or an
Advanced Search, the Directory Server interface sends the search
data to the Directory Server. The Directory Server performs the
search and then returns any matching entries to the directory
server interface. The resulting display depends on whether there
were:</p>

<ul>
    <li><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#nomatch">no matches</a></li>
    <li><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#single">a single match</a></li>
    <li><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#multiple">multiple matches</a></li>
</ul>

<p>This section also discusses some of the <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#problems">other
problems</a> you may run into when attempting to search the
directory tree.</p>

<h3><a name="nomatch"></a>No Matches </h3>

<p>A search result that returns no matches means one of the
following. </p>

<ul>
    <li>No entries in the directory match your search
        criteria. If you believe that this is the problem, try
        another search using slightly different parameters to
        see if you can get any other results.</li>
    <li>You did not <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/auth.htm#1016877">authenticate</a>
        before performing the search. The directory administrator
 	  determines Authentication requirements. Your
        directory administrator can set the access control on the
        directory so that you are required to
        authenticate before you can search the tree. This access
        control can be set for the entire directory or for
        just part of it. If you are required to
        authenticate before you can search the directory tree,
        and you do not authenticate before running the search,
        the Directory Server acts as if no matching
        entries were found in the directory; no message informs you
	  that you need to authenticate. This is for security reasons. Contact your
        directory administrator to find out if you must
        authenticate to the Directory Server before running a
        search. See Chapter 5, &quot;Authentication&quot;
	for more information on authentication.</li>
    <li>The access control for the tree disallows you
        from viewing the entry or entries; regardless of authentication.</li>
</ul>

<h3><a name="single"></a>A Single Match<b> </b></h3>

<p>If one and only one match is returned in response to an
&quot;is&quot; search, the Directory Server interface displays
information about that entry as a result of the search. If the
single result was found using any other search method, it is
displayed in a table, and you must click the link to view
detailed information about the entry. This form
contains a button that allows you to <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/mod.htm">edit</a>
the entry. You must have the appropriate permissions to edit an
entry, and you need to <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/auth.htm#userauth">authenticate</a>
before doing so. </p>

<h3><a name="multiple"></a>Multiple Matches<b> </b></h3>

<p>If multiple matches are found in response to your
search, the directory interface displays
a table listing each of the matching entries and
certain relevant information for each entry, such as the entry's
phone number and email address. The type of entry for which
you are searching determines this information.
To view more information on a specific entry, click the
entry's name in the first column of the table. </p>

<h3><a name="problems"></a><b>Other Problems</b></h3>

<p>You may see odd results if you are searching for numerical
values because the Directory Server stores all values as
strings, regardless of whether they are actually numerical values
(such as telephone or room numbers). Consequently, when you
search for numerical values, be sure to include all spaces and
leading zeros, if any. </p>

<p>Also note that the Directory Server interface strips all
leading and trailing blank spaces from your search criteria.
While it is unlikely that directory entries actually have leading
and trailing blank spaces in their values, the possibility still
exists. Because of this, exact matches against values that have
leading and trailing blank spaces fail. If you encounter
this problem, try using a substring search (a
&quot;contains&quot; search) instead of an exact search. </p>

<h2><a name="vCard"></a>Viewing a vCard</h2>

<p>A vCard is a digital business card. Like a regular business
card, a vCard contains contact information about a person such as
name, title, telephone and fax numbers, and email
address. Unlike a regular business card, however, the vCard can
also contain multimedia elements such as graphics, sound,
and video. To view a vCard, do the following:</p>

<ol>
    <li>Use the <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#standard">Standard Search</a> or <a
        href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#advanced">Advanced Search</a> mechanism to locate
        the person whose vCard you want to view.</li>
    <li>Click the View Card button.<br>
        The Directory Server interface displays a condensed
        version of the vCard.</li>
    <li>If you want to see more details, click View
        Complete Card.</li>
    <li>If you want to add the person to your Communicator
        address book, click "Add to Address Book"
        and then click OK.</li>
</ol>
</body>
</html>
